# Class SmilesStereo

java.lang.Object
org.jmol.smiles.SmilesStereo

public class SmilesStereo extends Object
This class relates to stereochemical issues

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ALLENE`
`static final int`
`DEFAULT`
`static final int`
`OCTAHEDRAL`
`static final int`
`POLYHEDRAL`
`static final int`
`SEESAW`
`static final int`
`SQUARE_PLANAR`
`static final int`
`T_SHAPED`
`static final int`
`TETRAHEDRAL`
`static final int`
`TRIGONAL_BIPYRAMIDAL`
`static final int`
`TRIGONAL_PYRAMIDAL`

## Method Summary

Modifier and Type
Method
Description
`int`
`checkStereoForAtom(SmilesAtom pAtom, boolean isNot, boolean haveTopo)`
`Node[]`
`getAlleneAtoms(boolean haveTopo, SmilesAtom sAtom0, SmilesAtom pAtom, SmilesAtom pAtom1)`
`static int`
`getAtropicStereoFlag(Node[] nodes)`
`int`
`getChiralClass(SmilesAtom sAtom)`
`static SmilesStereo`
`newStereo(SmilesSearch search)`
`boolean`
`setTopoCoordinates(SmilesAtom sAtom0, SmilesAtom pAtom, SmilesAtom sAtom2, Node[] cAtoms, boolean isNot)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT

public static final int DEFAULT

See Also:
  - Constant Field Values

### POLYHEDRAL

public static final int POLYHEDRAL

See Also:
  - Constant Field Values

### ALLENE

public static final int ALLENE

See Also:
  - Constant Field Values

### TRIGONAL_PYRAMIDAL

public static final int TRIGONAL_PYRAMIDAL

See Also:
  - Constant Field Values

### TETRAHEDRAL

public static final int TETRAHEDRAL

See Also:
  - Constant Field Values

### TRIGONAL_BIPYRAMIDAL

public static final int TRIGONAL_BIPYRAMIDAL

See Also:
  - Constant Field Values

### OCTAHEDRAL

public static final int OCTAHEDRAL

See Also:
  - Constant Field Values

### SQUARE_PLANAR

public static final int SQUARE_PLANAR

See Also:
  - Constant Field Values

### T_SHAPED

public static final int T_SHAPED

See Also:
  - Constant Field Values

### SEESAW

public static final int SEESAW

See Also:
  - Constant Field Values

## Method Details

### newStereo

public static SmilesStereo newStereo(SmilesSearch search) throws InvalidSmilesException

Throws:
  `InvalidSmilesException`

### getChiralClass

public int getChiralClass(SmilesAtom sAtom)

### setTopoCoordinates

public boolean setTopoCoordinates(SmilesAtom sAtom0, SmilesAtom pAtom, SmilesAtom sAtom2, Node[] cAtoms, boolean isNot)

Parameters:
  `sAtom0` - the first target atom
  `pAtom` - the pattern atom connected to the target atoms
  `sAtom2` - allene atom
  `cAtoms` - the target atoms
  `isNot` -
Returns:
  true if successful

### checkStereoForAtom

public int checkStereoForAtom(SmilesAtom pAtom, boolean isNot, boolean haveTopo)

### getAlleneAtoms

public Node[] getAlleneAtoms(boolean haveTopo, SmilesAtom sAtom0, SmilesAtom pAtom, SmilesAtom pAtom1)

Parameters:
  `haveTopo` -
  `sAtom0` -
  `pAtom` -
  `pAtom1` -
Returns:
  allene atoms

### getAtropicStereoFlag

public static int getAtropicStereoFlag(Node[] nodes)